server.port=8080
spring.datasource.tomcat.initial-size=1
spring.jpa.open-in-view=false

logging.level.org.springframework=WARN
logging.level.org.hibernate=WARN
logging.level.com.smnp.microloan=DEBUG
endpoints.shutdown.enabled=true

#spring.datasource.url=jdbc:mysql://54.255.83.176:3306/sunquick?useUnicode=true&characterEncoding=UTF-8
spring.datasource.url=jdbc:mysql://54.255.176.160:3306/sunquick?useUnicode=true&characterEncoding=UTF-8
spring.datasource.username=nuwan
spring.datasource.password=Admin123#

#spring.datasource.url=jdbc:mysql://localhost:3306/sunquick?useUnicode=true&characterEncoding=UTF-8
#spring.datasource.username=admin
#spring.datasource.password=Admin123#


spring.jpa.show-sql=true
spring.jpa.hibernate.ddl-auto=update

spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQL5Dialect

# max file size - default 1MB
spring.servlet.multipart.max-file-size=10MB
# max request size - default 10MB
spring.servlet.multipart.max-request-size=25MB


# RabbitMq Configuration
spring.rabbitmq.producer.host=localhost
#spring.rabbitmq.producer.host=18.141.145.42
spring.rabbitmq.producer.username=guest
spring.rabbitmq.producer.password=guest
#spring.rabbitmq.producer.username=cse-producer
#spring.rabbitmq.producer.password=c$#-pr0ducer
spring.rabbitmq.producer.port=5672
spring.rabbitmq.cache.channel.size=50
management.health.rabbit.enabled=true

spring.rabbitmq.consumer.host=localhost
spring.rabbitmq.consumer.username=guest
spring.rabbitmq.consumer.password=guest
spring.rabbitmq.consumer.port=61613

# CORS url
app.auth.corsAllowedOrigins=*

cron.expression=*/30 * * * * MON-FRI

#app endpoint configuration
app.endpoint.api =/api

#customer endpoint
app.endpoint.baseQuestion=/questions/
app.endpoint.questionsSearch=${app.endpoint.baseQuestion}/{round}

app.endpoint.baseAnswer=${app.endpoint.api}/answers
app.endpoint.answersSubmit=${app.endpoint.baseAnswer}/submit


timer.unit =m
timer.val =40